com.sun.grid.jgdi.configuration

## Class UserSetImpl

- java.lang.Object
- - com.sun.grid.jgdi.configuration.GEObjectImpl
  - - com.sun.grid.jgdi.configuration.UserSetImpl

- All Implemented Interfaces:
    GEObject, UserSet, java.io.Serializable, java.lang.Cloneable

      public class UserSetImpl
      extends GEObjectImpl
      implements UserSet

  Java representation of the cull object US_Type defined in sge_all_listsL.template

  Warning: The UserSetImpl class will not be compatible with future Sun™ Grid Engine releases.

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `UserSetImpl()` Create a new instance of UserSetImpl.
    `UserSetImpl(boolean initWithDefaultValues)` Create a new instanceof
    `UserSetImpl(java.lang.String name)` Create a new instance of UserSetImpl

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addEntries(java.lang.String aentries)` Add a java.lang.String attribute.
    `java.lang.String` | `dump()`
    `boolean` | `equals(java.lang.Object obj)` Is the primary key information equal to the primary key information of `obj`.
    `boolean` | `equalsCompletely(java.lang.Object obj)`
    `java.lang.String` | `getEntries(int index)` Get a java.lang.String attribute at an index.
    `int` | `getEntriesCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getEntriesList()` Get a unmodifiable list of all java.lang.String attributes.
    `int` | `getFshare()` Get the value of the fshare attribute.
    `int` | `getJobCnt()` Get the value of the jobCnt attribute.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `int` | `getOticket()` Get the value of the oticket attribute.
    `int` | `getType()` Get the value of the type attribute.
    `boolean` | `isSetEntries()` Determine if the entries attribute is set
    `boolean` | `isSetFshare()` Determine if the fshare attribute is set
    `boolean` | `isSetJobCnt()` Determine if the jobCnt attribute is set
    `boolean` | `isSetName()` Determine if the name attribute is set
    `boolean` | `isSetOticket()` Determine if the oticket attribute is set
    `boolean` | `isSetType()` Determine if the type attribute is set
    `void` | `removeAllEntries()` Remove all java.lang.String attributes.
    `java.lang.String` | `removeEntries(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeEntries(java.lang.String aentries)` Remote a specific java.lang.String attribute.
    `void` | `setEntries(int index, java.lang.String aentries)` Set a java.lang.String attribute.
    `void` | `setFshare(int aFshare)` Set the fshare attribute.
    `void` | `setJobCnt(int aJobCnt)` Set the jobCnt attribute.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setOticket(int aOticket)` Set the oticket attribute.
    `void` | `setType(int aType)` Set the type attribute.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.sun.grid.jgdi.configuration.GEObjectImpl

      `getParent, getPathName, getRoot, setParent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `getParent`

- - ### Constructor Detail

    - #### UserSetImpl

          public UserSetImpl()

      Create a new instance of UserSetImpl. The new instance will not be initialized with the default values.

    - #### UserSetImpl

          public UserSetImpl(boolean initWithDefaultValues)

      Create a new instanceof
      Parameters:
        `initWithDefaultValues` - if `true` the new instance will be initialized with the default values as defined in the cull definition.

    - #### UserSetImpl

          public UserSetImpl(java.lang.String name)

      Create a new instance of UserSetImpl

  - ### Method Detail

    - #### isSetName

          public boolean isSetName()

      Determine if the name attribute is set
      Specified by:
        `isSetName` in interface `UserSet`
      Returns:
        `true` if the name attribute is set

    - #### setName

          public void setName(java.lang.String aName)

      Set the name attribute.
      Specified by:
        `setName` in interface `UserSet`
      Overrides:
        `setName` in class `GEObjectImpl`
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          public java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Specified by:
        `getName` in interface `UserSet`
      Overrides:
        `getName` in class `GEObjectImpl`
      Returns:
        the value of the name attribute

    - #### isSetType

          public boolean isSetType()

      Determine if the type attribute is set
      Specified by:
        `isSetType` in interface `UserSet`
      Returns:
        `true` if the type attribute is set

    - #### setType

          public void setType(int aType)

      Set the type attribute.
      Specified by:
        `setType` in interface `UserSet`
      Parameters:
        `aType` - the new value for the type attribute

    - #### getType

          public int getType()

      Get the value of the type attribute.
      Specified by:
        `getType` in interface `UserSet`
      Returns:
        the value of the type attribute

    - #### isSetFshare

          public boolean isSetFshare()

      Determine if the fshare attribute is set
      Specified by:
        `isSetFshare` in interface `UserSet`
      Returns:
        `true` if the fshare attribute is set

    - #### setFshare

          public void setFshare(int aFshare)

      Set the fshare attribute.
      Specified by:
        `setFshare` in interface `UserSet`
      Parameters:
        `aFshare` - the new value for the fshare attribute

    - #### getFshare

          public int getFshare()

      Get the value of the fshare attribute.
      Specified by:
        `getFshare` in interface `UserSet`
      Returns:
        the value of the fshare attribute

    - #### isSetOticket

          public boolean isSetOticket()

      Determine if the oticket attribute is set
      Specified by:
        `isSetOticket` in interface `UserSet`
      Returns:
        `true` if the oticket attribute is set

    - #### setOticket

          public void setOticket(int aOticket)

      Set the oticket attribute.
      Specified by:
        `setOticket` in interface `UserSet`
      Parameters:
        `aOticket` - the new value for the oticket attribute

    - #### getOticket

          public int getOticket()

      Get the value of the oticket attribute.
      Specified by:
        `getOticket` in interface `UserSet`
      Returns:
        the value of the oticket attribute

    - #### isSetJobCnt

          public boolean isSetJobCnt()

      Determine if the jobCnt attribute is set
      Specified by:
        `isSetJobCnt` in interface `UserSet`
      Returns:
        `true` if the jobCnt attribute is set

    - #### setJobCnt

          public void setJobCnt(int aJobCnt)

      Set the jobCnt attribute.
      Specified by:
        `setJobCnt` in interface `UserSet`
      Parameters:
        `aJobCnt` - the new value for the jobCnt attribute

    - #### getJobCnt

          public int getJobCnt()

      Get the value of the jobCnt attribute.
      Specified by:
        `getJobCnt` in interface `UserSet`
      Returns:
        the value of the jobCnt attribute

    - #### addEntries

          public void addEntries(java.lang.String aentries)

      Add a java.lang.String attribute. If the value already exists in the list it is not added
      Specified by:
        `addEntries` in interface `UserSet`
      Parameters:
        `aentries` - the new java.lang.String attribute

    - #### setEntries

          public void setEntries(int index,
                                 java.lang.String aentries)

      Set a java.lang.String attribute.
      Specified by:
        `setEntries` in interface `UserSet`
      Parameters:
        `index` - index of the java.lang.String attribute
        `aentries` - the new java.lang.String attribute

    - #### removeAllEntries

          public void removeAllEntries()

      Remove all java.lang.String attributes.
      Specified by:
        `removeAllEntries` in interface `UserSet`

    - #### removeEntries

          public java.lang.String removeEntries(int index)

      Remote a java.lang.String attribute at an index.
      Specified by:
        `removeEntries` in interface `UserSet`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeEntries

          public boolean removeEntries(java.lang.String aentries)

      Remote a specific java.lang.String attribute.
      Specified by:
        `removeEntries` in interface `UserSet`
      Parameters:
        `aentries` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### getEntriesList

          public java.util.List<java.lang.String> getEntriesList()

      Get a unmodifiable list of all java.lang.String attributes.
      Specified by:
        `getEntriesList` in interface `UserSet`
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getEntriesCount

          public int getEntriesCount()

      Get the number of java.lang.String attributes.
      Specified by:
        `getEntriesCount` in interface `UserSet`
      Returns:
        The number of java.lang.String attributes.

    - #### getEntries

          public java.lang.String getEntries(int index)

      Get a java.lang.String attribute at an index.
      Specified by:
        `getEntries` in interface `UserSet`
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### isSetEntries

          public boolean isSetEntries()

      Determine if the entries attribute is set
      Specified by:
        `isSetEntries` in interface `UserSet`
      Returns:
        `true` if the entries attribute is set

    - #### equals

          public boolean equals(java.lang.Object obj)

      Is the primary key information equal to the primary key information of `obj`.
      Overrides:
        `equals` in class `java.lang.Object`
      Parameters:
        `obj` - the compared object
      Returns:
        `true` if the primary key information is equal to the primary key informations of `obj`.

    - #### equalsCompletely

          public boolean equalsCompletely(java.lang.Object obj)

      Specified by:
        `equalsCompletely` in interface `GEObject`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### dump

          public java.lang.String dump()

      Specified by:
        `dump` in interface `UserSet`

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.